summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdraklive-install-lock-storage8
-rw-r--r--draklive-install.desktop2
-rw-r--r--mandriva-draklive-install.desktop2
3 files changed, 10 insertions, 2 deletions
diff --git a/draklive-install-lock-storage b/draklive-install-lock-storage
new file mode 100755
index 0000000..e003053
--- /dev/null
+++ b/draklive-install-lock-storage
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+CMD=/usr/sbin/draklive-install
+
+hal-lock --interface org.freedesktop.Hal.Device.Storage --exclusive --run $CMD
+# run without hal lock if it fails
+[ "$?" != 0 ] && $CMD
+
diff --git a/draklive-install.desktop b/draklive-install.desktop
index c1964df..068c210 100644
--- a/draklive-install.desktop
+++ b/draklive-install.desktop
@@ -1,6 +1,6 @@
[Desktop Entry]
Encoding=UTF-8
-Exec=/usr/sbin/draklive-install
+Exec=/usr/sbin/draklive-install-lock-storage
Icon=MandrivaOne-install-icon
Terminal=false
Type=Application
diff --git a/mandriva-draklive-install.desktop b/mandriva-draklive-install.desktop
index 9527861..dc51953 100644
--- a/mandriva-draklive-install.desktop
+++ b/mandriva-draklive-install.desktop
@@ -2,7 +2,7 @@
Encoding=UTF-8
Name=Live Install
Comment=Install your Mandriva live system to disk
-Exec=/usr/sbin/draklive-install
+Exec=/usr/sbin/draklive-install-lock-storage
Icon=MandrivaOne-install-icon
Terminal=false
Type=Application